import { useContext } from "react";
import { AccountContext, AccountContextValue } from "./AccountProvider";

/**
 * This hook provides access to the private plain text of the logged-in account.
 * Needs only for decrypting messages or attachments.
 * Not send to server.
 * @returns Private plain text for the logged-in account
 */
export function usePrivatePlain() {
    const context : AccountContextValue = useContext(AccountContext);
    if(!context){
        throw new Error("useAccount must be used within a AccountProvider");
    }
    if(!context.loginedAccount){
        return "";
    }
    return context.loginedAccount.privatePlain;
}